#1787 closed defect (fixed)

Adding nesting support to smp spinlock

Reported by: Jennifer Averett Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

The following patch renames the existing smp spinlock to a simple version and adds a nested version of the spinlock. This is needed to support locking of the dispatch_disable_level for SMP support.

Attachments (4)

SpinlockPatch.txt (6.5 KB) - added by Jennifer Averett on May 5, 2011 at 5:28:16 PM.
Adds nested version of smp spinlock
SpinlockPatch_v1.txt (8.7 KB) - added by Jennifer Averett on May 6, 2011 at 2:13:03 PM.
add nested support to spinlock
SpinlockPatch_v2.txt (9.5 KB) - added by Jennifer Averett on May 9, 2011 at 4:38:06 PM.
Add nesting support to smp spinlock
SpinlockPatch_v3.txt (9.4 KB) - added by Jennifer Averett on May 10, 2011 at 12:59:50 PM.
Adding nesting support to smp spinlock

Download all attachments as: .zip

Change History (11)

Changed on May 5, 2011 at 5:28:16 PM by Jennifer Averett

Attachment: SpinlockPatch.txt added

Adds nested version of smp spinlock

comment:1 Changed on May 5, 2011 at 6:02:55 PM by Gedare Bloom

Cc: giddyup44@… added

Changed on May 6, 2011 at 2:13:03 PM by Jennifer Averett

Attachment: SpinlockPatch_v1.txt added

add nested support to spinlock

comment:2 Changed on May 6, 2011 at 2:13:03 PM by Jennifer Averett

attachments.isobsolete: 01

Changed on May 9, 2011 at 4:38:06 PM by Jennifer Averett

Attachment: SpinlockPatch_v2.txt added

Add nesting support to smp spinlock

comment:3 Changed on May 9, 2011 at 4:38:06 PM by Jennifer Averett

attachments.isobsolete: 01

Changed on May 10, 2011 at 12:59:50 PM by Jennifer Averett

Attachment: SpinlockPatch_v3.txt added

Adding nesting support to smp spinlock

comment:4 Changed on May 10, 2011 at 12:59:50 PM by Jennifer Averett

attachments.isobsolete: 01

comment:5 Changed on May 11, 2011 at 3:05:26 PM by Jennifer Averett

blocked: 1791

comment:6 Changed on May 20, 2011 at 11:36:52 AM by Jennifer Averett

Resolution: fixed
Status: newclosed

Patch applied to head.

comment:7 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.